set midi(name) midi
set midi(short) {midi}
set midi(purpose) {Handle MIDI controllers.}
set midi(invoke) {
	midi list OR ls
	midi open OR o <port-number>
	midiopenall
	midi close OR c <port-number>
	midicloseall
	midi num OR n}
set midi(help) {
	midi list - lists all MIDI controllers & status of MIDI ports
	midi open <port-number> - opens MIDI controller at port number
	midiopenall - opens all MIDI devices connected to the computer
	midi close <port-number> - closes MIDI controller at port number
	midicloseall - closes all MIDI controllers connected to the computer
	midi num -- prints number of MIDI ports in the computer
	...
	src midimap - source midi map script which prints midi_cc, midi_note_on
	and midi_note_off messages to console}
set midi(examples) {
	midi list ;# lists all MIDI controllers & status of MIDI ports
	midiopenall ;# open all MIDI controllers
	midi open 1 ;# open MIDI controller at port number 1
	midi close 1 ;# close MIDI controller at port number 1}